Bolt sample pack error when compiling

I have bought the bolt sample pack from the asset store. but encounter some issues
I am using Unity 2018.3.0f2, when i click compile assembly, the console says this error:

IndexOutOfRangeException: Index was outside the bounds of the array.
BoltEditorUtilsInternal.CSharpIdentifier (System.String value) (at <4c52ee96f238422cabc6d1cb5b4c7259>:0)
BoltCompiler.CompileMaps (BoltCompilerOperation op) (at <4c52ee96f238422cabc6d1cb5b4c7259>:0)
BoltCompiler.Run (BoltCompilerOperation op) (at <4c52ee96f238422cabc6d1cb5b4c7259>:0)
BoltUserAssemblyCompiler.Run () (at <4c52ee96f238422cabc6d1cb5b4c7259>:0)
UnityEngine.Debug:LogException(Exception)
BoltUserAssemblyCompiler:Run()
BoltMenuItems:RunCompiler()

please help. while Unity 5.6.5f1 has no problem.

Comments

  • I tested 2018.3 just now, you just need to change the two lines with "CompressionLevel.BestCompression" to "Ionic.Zlib.CompressionLevel.BestCompression" in VoiceChatUtils.cs

Sign In or Register to comment.